Skip to content

updateFixedAsset

WRITE

Update fixed asset.

POST /api/v1/accounting/updateFixedAsset
curl -X POST '<your-host>/api/v1/accounting/updateFixedAsset' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType
"Straight Line""Declining Balance""Units of Production"
"Half-Year""Mid-Quarter"
"3""5""7""10""15""20""27.5""39"
"Straight Line""Declining Balance""MACRS"

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "fixedAssetClassId": {
      "type": "string"
    },
    "name": {
      "type": "string"
    },
    "description": {
      "type": [
        "string",
        "null"
      ]
    },
    "serialNumber": {
      "type": [
        "string",
        "null"
      ]
    },
    "depreciationMethod": {
      "type": "string",
      "enum": [
        "Straight Line",
        "Declining Balance",
        "Units of Production"
      ]
    },
    "usefulLifeMonths": {
      "type": "number"
    },
    "residualValuePercent": {
      "type": "number"
    },
    "assetLifetimeUsage": {
      "type": [
        "number",
        "null"
      ]
    },
    "locationId": {
      "type": [
        "string",
        "null"
      ]
    },
    "taxDepreciationMethod": {
      "type": [
        "string",
        "null"
      ],
      "enum": [
        "Straight Line",
        "Declining Balance",
        "MACRS"
      ]
    },
    "taxUsefulLifeMonths": {
      "type": [
        "number",
        "null"
      ]
    },
    "taxResidualValuePercent": {
      "type": [
        "number",
        "null"
      ]
    },
    "macrsPropertyClass": {
      "type": [
        "string",
        "null"
      ],
      "enum": [
        "3",
        "5",
        "7",
        "10",
        "15",
        "20",
        "27.5",
        "39"
      ]
    },
    "macrsConvention": {
      "type": [
        "string",
        "null"
      ],
      "enum": [
        "Half-Year",
        "Mid-Quarter"
      ]
    },
    "bonusDepreciationPercent": {
      "type": [
        "number",
        "null"
      ]
    }
  },
  "required": [
    "id"
  ]
}